Subject: [PATCH 1/7] arm64: dts: marvell: use SPDX-License-Identifier for Armada SoCs

From: [email-masked] (Andrew Lunn)
Date: Fri, 5 Jan 2018 16:30:20 +0100

On Fri, Jan 05, 2018 at 03:55:55PM +0100, Gregory CLEMENT wrote:
> Hi Andrew,
>  
>  On ven., janv. 05 2018, Andrew Lunn <[email-masked]> wrote:
> 
> >> > The previous license was GPL-2.0+ or X11, not GPL-2.0+ or MIT. Any
> >> > reason to change from X11 to MIT ?
> >> 
> >> As explained in the commit log:
> >> " the X11 license text [1] is explicitly for the X Consortium and has a
> >> couple of extra clauses. The MIT license text [2] is actually what the
> >> current DT files claim."
> >> 
> >> Also as I wrote it was already discussed on the mainling lists (device
> >> tree one and LAKML) see:
> >> http://lists.infradead.org/pipermail/linux-arm-kernel/2017-February/489922.html
> >
> > Hi Gregory
> >
> > If i remember correctly, there was a reason for X11 over MIT. I think
> > Russell King looked into this. Maybe you can find the discussion on
> > the mailing list?

Hi Gregory

I'm meaning an older discussion, when we first started using dual
license. There was some discussion back then as to MIT vs X11.
That discussion could be relevant here.

What we need to be careful of is ensuring the changes you are making
here don't actually change the licenses.  If the intent was to use
X11, and we actually state "X11 license" in the source code, we need
to be careful if we replace that with MIT.

   Andrew